// BonTsDemux.h : PROJECT_NAME アプリケーションのメイン ヘッダー ファイルです。
//

#pragma once

#ifndef __AFXWIN_H__
	#error "PCH に対してこのファイルをインクルードする前に 'stdafx.h' をインクルードしてください"
#endif

#include "resource.h"		// メイン シンボル


// CBonTsDemuxApp:
// このクラスの実装については、BonTsDemux.cpp を参照してください。
//
class CCommandLine : public CCommandLineInfo
{

public:
    CCommandLine();

	enum CmdLineNextField {PARAM_NONE = 0,INPUT_FILE,OUTPUT_FILE,SERVICE_NUM,AUDIO_ES,FFMPEG_PARAM,SOUND_METHOD};

	void ParseParam(const TCHAR* pszParam, BOOL bFlag, BOOL bLast);
	DWORD m_next;
	DWORD m_sound_method;
	DWORD m_service;
	DWORD m_audio_es;
	CString m_input_file;
	CString m_output_file;
	CString m_ffmpeg_param;
	BOOL m_start;
	BOOL m_quit;
	BOOL m_disable_rename;
	BOOL m_rf64;
};

class CBonTsDemuxApp : public CWinApp
{
public:
	CBonTsDemuxApp();
	CCommandLine m_CmdInfo;

// オーバーライド
	public:
	virtual BOOL InitInstance();

// 実装

	DECLARE_MESSAGE_MAP()
};

extern CBonTsDemuxApp theApp;